# Uses of Class
org.apache.lucene.spatial3d.geom.NormalDistance

Packages that use NormalDistance
Package
Description
org.apache.lucene.spatial3d.geom
Shapes implemented using 3D planar geometry.

- ## Uses of NormalDistance in org.apache.lucene.spatial3d.geom

  Fields in org.apache.lucene.spatial3d.geom declared as NormalDistance
  Modifier and Type
  Field
  Description
  `static final NormalDistance`
  NormalDistance.`INSTANCE`
  A convenient instance
  `static final NormalDistance`
  DistanceStyle.`NORMAL`
  Normal distance calculator